Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.log
Class AbstractLoadLogger

    java.lang.Object
      info.bioinfweb.treegraph.document.io.log.AbstractLoadLogger

All Implemented Interfaces:
  LoadLogger

Direct Known Subclasses:
  CmdLoadLogger

    public abstract class AbstractLoadLogger

extends Object
implements LoadLogger

Implements basic functionality (especially method delegation) of a load logger.

Since:
  2.0.42
Author:
  Ben Stöver

Constructor Summary
`AbstractLoadLogger()`

Method Summary
`void` | `addMessage(String message)` Outputs a usual message to the user.
`void` | `addMessage(String message, int helpCode)` Outputs a usual message to the user.
`void` | `addWarning(String message)` Outputs a warning message to the user.
`void` | `addWarning(String message, int helpCode)` Outputs a warning message to the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.log.LoadLogger
`addMessage`

Constructor Detail

### AbstractLoadLogger

    public AbstractLoadLogger()

Method Detail

### addMessage

    public void addMessage(String message,
                           int helpCode)

  Description copied from interface: `LoadLogger`
  Outputs a usual message to the user.

  Specified by:
    `addMessage` in interface `LoadLogger`
    `helpCode` - the help code associated with this messages

### addMessage

    public void addMessage(String message)

  Description copied from interface: `LoadLogger`
  Outputs a usual message to the user.

  Specified by:
    `addMessage` in interface `LoadLogger`

### addWarning

    public void addWarning(String message,
                           int helpCode)

  Description copied from interface: `LoadLogger`
  Outputs a warning message to the user.

  Specified by:
    `addWarning` in interface `LoadLogger`
    `helpCode` - the help code associated with this warning

### addWarning

    public void addWarning(String message)

  Description copied from interface: `LoadLogger`
  Outputs a warning message to the user.

  Specified by:
    `addWarning` in interface `LoadLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD